using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using CitizenFX.Core;
using static CitizenFX.Core.Native.API;

namespace MyResource.Client
{
    public class ClientMain : BaseScript
    {
        public List<int> testList = new List<int>(){1, 2, 3, 4, 5};
        public ClientMain()
        {
            Debug.WriteLine("Hi from MyResource.Client!");
            TestCase();
        }

        public async void TestCase(){
            var test = testList[6];
            Debug.WriteLine(test.ToString());
        }

        [Tick]
        public Task OnTick()
        {
            DrawRect(0.5f, 0.5f, 0.5f, 0.5f, 255, 255, 255, 150);

            return Task.FromResult(0);
        }
    }
}